function ae = theta2WMatrix( theta , netSizes )
%THETA2WMATRIX Summary of this function goes here
%   Detailed explanation goes here

n = numel(netSizes);   %layers' num
W = cell(1 , n-1);
b = cell(1 , n-1);
endInx = 0;
for i=1:n-1
    startInx = endInx + 1;
    endInx = endInx + netSizes(i+1)*netSizes(i);
    W{i} = reshape(theta(startInx : endInx),netSizes(i+1),netSizes(i));
    
    startInx = endInx + 1;
    endInx = endInx + netSizes(i+1);
    b{i} = theta(startInx : endInx);
end
assert(endInx == length(theta), 'Wrong Index .\n');

ae.W = W;
ae.b = b;
end

